---
title: "Cancel admin permissions"
url: "https://docs.signnow.com/docs/manage-admins/operations/cancel-admin-permissions"
type: "endpoint"
section: "manage-admins"
slug: "manage-admins/operations/cancel-admin-permissions"
method: "DELETE"
path: "/team/{team_id}/admin/{user_id}"
operation_id: "cancel-admin-permissions"
authorization: "bearer"
---

# Cancel admin permissions

`DELETE /team/{team_id}/admin/{user_id}`

This endpoint cancels admin permissions for a team admin, removes the user from the team, revokes access of the user to shared folders, and removes all documents that the user shared from shared folders to user's folders.

If the path parameter `downgrade_only=true` is used, the user loses admin permissions but remains a member of the team and keeps access to shared folders.

***Requires access token of team primary admin or admin.***

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `team_id` | string | Yes |  |
| `user_id` | string | Yes |  |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `downgrade_only` | boolean | No | If true, the user remains a member of the team and keeps access to shared folders.  |

## Responses

### 200

**Example** (`application/json`)

```json
{
  "result": "success"
}
```

### 400

* Trying to cancel rights for a user that is not a team admin.
* Admin is trying to cancel their own admin permissions.
* Team admin cannot cancel rights for a primary admin.
* User is not a team admin.
* Team not found.
* User not found.
* `downgrade_only` is not a boolean.


**Example** (`Team not found`)

```json
{
  "code": 66391,
  "message": "Team not found"
}
```

**Example** (`User not admin`)

```json
{
  "code": 65582,
  "message": "User is not admin/secondary admin on team"
}
```

**Example** (`User not found`)

```json
{
  "code": 65582,
  "message": "User not found"
}
```

**Example** (`Cancelling your own right`)

```json
{
  "code": 65582,
  "message": "Admin cannot delete himself"
}
```

**Example** (`downgrade_only not boolean`)

```json
{
  "code": 65582,
  "message": "The `downgrade_only` parameter value should be `true` or `false`"
}
```

**Example** (`Cancelling primary admin's rights`)

```json
{
  "code": 65582,
  "message": "Secondary admin cannot delete Admin of the team"
}
```

**Example** (`Cancelling rights for a non-admin`)

```json
{
  "code": 66350,
  "message": "Team admin not found"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X DELETE \
  "https://api.signnow.com/team/{team_id}/admin/{user_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/manage-admins/operations/cancel-admin-permissions*
